


%clear;
%% settings
%sigma = 30;
scales = 7;
nCoeffsSignificant = 200000;
oversampling = 1;


th = zeros(2, nCoeffsSignificant);
for UseShearlets = 0:1

if (UseShearlets==1)
    alpha = 0.5;
    ns_shears = floor(2.^((1-alpha)*(1:scales)));
    ns_bends = 0*ns_shears;
end
if (UseShearlets==0)
    alpha = 0.33;
    ns_shears = floor(2.^((1-alpha)/2*(1:scales)));
    ns_bends = floor(2.^((1-alpha)/2*(1:scales)));
end

eps_th = 10^(-8);



%% load data
% X = imread('barbara.jpg');
% X = imread('delaunay512.jpg');
% X = imread('marc512.jpg');
%load('./signals/snow.mat');
%load('./signals/delaunay2048.mat')
%X = snow;
X = makeCircle(4096,4096,1024);
X = double(X);
X = X/norm(X(:));
%

tic;
fprintf('generating bendlet system...\n');

%% create shearlets
bendletSystem = BLgetBendletSystem2DSparse(size(X,1),size(X,2), scales, ns_shears, ns_bends, alpha);
%

mask = BLsubsamplingMask(size(X,1),size(X,2), bendletSystem, oversampling, alpha);



%% decomposition
coeffs = BLbenddec2DSparse( X, shearletSystem);
for t = 1:bendletSystem.nBendlets   
coeffs{t} = mask{t}(:,:).*coeffs{t}(:,:);
end

%% compression

coeffs_all = [];
for i = 1 : bendletSystem.nBendelts
    coeffs_all = [coeffs_all, HardThresh(coeffs{i}(:), eps_th)];
end

coeffs_sorted = sort( abs(coeffs_all), 1, 'descend');
th(UseShearlets+1,:) = coeffs_sorted(1:nCoeffsSignificant);


end

figure;
loglog(1:nCoeffsSignificant, th(1,1:nCoeffsSignificant), '-b',1:nCoeffsSignificant, th(2,1:nCoeffsSignificant), '--r');


% 
% for i = 1 : shearletSystem.nShearlets
%     c_coeffs = coeffs{i};
%     c_coeffs( abs(c_coeffs) < th) = 0.0;
%     coeffs{i} = c_coeffs;
% end
% 
% %% reconstruction
% 
% %Xrec = real( SLbendrec2DSparse( coeffs, shearletSystem));
% 
% elapsedTime = toc;
% fprintf([num2str(elapsedTime), ' s\n']);
% 
% %%compute psnr
% PSNR = SLcomputePSNR(X,Xrec);
% 
% fprintf(['PSNR: ', num2str(PSNR) , ' db\n']);
% 
% figure;
% colormap gray;
% 
% subplot(1,2,1);
% imagesc(X);
% title('original image');
% axis image;
% 
% subplot(1,2,2);
% imagesc(Xrec);
% title(['denoised image, PSNR = ',num2str(PSNR), ' db']);
% axis image;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Copyright (c) 2016, Philipp Petersen and Christian Lessig.
%
%  If you use or mention this code in a publication please cite 
%  C. Lessig, P. Petersen, M. Schfer, Bendlets: A Second Order Shearlet
%    Transform with Bent Elements.
% 
%  This file is part of BendLab: A Bendlet Toolbox.
% 
%  BendLab is free software: you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation, either version 3 of the License, or
%  (at your option) any later version.
% 
%  BendLab is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License for more details.
% 
%  You should have received a copy of the GNU General Public License
%  along with BendLab.  If not, see <http://www.gnu.org/licenses/>.
